package ru.myitschool.work.data.dto;

import androidx.annotation.Nullable;

import com.google.gson.annotations.SerializedName;

public class UserDto {
    @Nullable
    @SerializedName("username")
    public String username;

    @Nullable
    @SerializedName("password")
    public String password;

    @Nullable
    @SerializedName("photo")
    public String photo;

    @Nullable
    @SerializedName("lastVisit")
    public Long lastVisit;

    @Nullable
    @SerializedName("idUser")
    public Integer idUser;

    @Nullable
    @SerializedName("status")
    public int status;

    @Nullable
    @SerializedName("position")
    public String position;

    public UserDto(@Nullable String username, @Nullable String password, @Nullable String photo, @Nullable Long lastVisit, @Nullable Integer idUser, int status, @Nullable String position) {
        this.username = username;
        this.password = password;
        this.photo = photo;
        this.lastVisit = lastVisit;
        this.idUser = idUser;
        this.status = status;
        this.position = position;
    }

    @Nullable
    public String getPosition() {
        return position;
    }

    public void setPosition(@Nullable String position) {
        this.position = position;
    }

    @Nullable
    public String getUsername() {
        return username;
    }

    public void setUsername(@Nullable String username) {
        this.username = username;
    }

    @Nullable
    public String getPassword() {
        return password;
    }

    public void setPassword(@Nullable String password) {
        this.password = password;
    }


    @Nullable
    public String getPhoto() {
        return photo;
    }

    public void setPhoto(@Nullable String photo) {
        this.photo = photo;
    }

    @Nullable
    public Long getLastVisit() {
        return lastVisit;
    }

    public void setLastVisit(@Nullable Long lastVisit) {
        this.lastVisit = lastVisit;
    }

    @Nullable
    public Integer getIdUser() {
        return idUser;
    }

    public void setIdUser(@Nullable Integer idUser) {
        this.idUser = idUser;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }








}
