package ru.myitschool.work.domain.entities;

import androidx.annotation.Nullable;

import com.google.gson.annotations.SerializedName;

public class HistoryEntity {
    @Nullable
    @SerializedName("id")
    public Integer id;

    @Nullable
    public Integer getId() {
        return id;
    }

    public void setId(@Nullable Integer id) {
        this.id = id;
    }

    @Nullable
    public String getUsername() {
        return username;
    }

    public void setUsername(@Nullable String username) {
        this.username = username;
    }

    @Nullable
    public Long getTime() {
        return time;
    }

    public void setTime(@Nullable Long time) {
        this.time = time;
    }

    @Nullable
    public String getType() {
        return type;
    }

    public void setType(@Nullable String type) {
        this.type = type;
    }

    @Nullable
    public Integer getCode() {
        return code;
    }

    public void setCode(@Nullable Integer code) {
        this.code = code;
    }

    public HistoryEntity(@Nullable Integer id, @Nullable String username, @Nullable Long time, @Nullable String type, @Nullable Integer code) {
        this.id = id;
        this.username = username;
        this.time = time;
        this.type = type;
        this.code = code;
    }

    @Nullable
    @SerializedName("username")
    public String username;

    @Nullable
    @SerializedName("time")
    public Long time;

    @Nullable
    @SerializedName("type")
    public String type;

    @Nullable
    @SerializedName("code")
    public Integer code;

}
